Subject: Re: [pcp] WGLC: draft-ietf-pcp-authentication-06 comments due by NOV 10

From: Dave Thaler <[email-masked]>
Date: Wed, 5 Nov 2014 20:02:37 +0000

A marked up copy with my comments is now at:
http://research.microsoft.com/~dthaler/draft-ietf-pcp-authentication-06.pdf

I had a bunch of simple editorial feedback.  A summary of the non-editorial 
feedback is below, but see marked up copy for details.

1) Sections 5.7 and 5.8 do state mandatory-to-implement algorithms for 
the PRF and the MAC algorithm.   However, section 2 implies the partners
must also agree on an EAP key generating method, and I cannot find anywhere
that states what algorithm is mandatory-to-implement.

2) The text on the bottom of page 6 for when to generate a PA-Acknowledge 
seems underspecified.

3) The text about downgrade detection on page 7 is underspecified, e.g.
what to do in such an event.

4) The text in section 3.3 about how to handle sequence number reaching
the max value is underspecified. E.g., when do you trigger re-auth?

5) The text in 5.11 about how to use the ID Indicator is underspecified.
For example, is matching done with some algorithm (see RFC 6943)?
Is the ID Indicator field normalized somehow?

6) Sections 6.3 and 6.4 are contradictory as to whether the entire
packet must match or only the sequence number.

7) Section 6.4 is underspecified when it says "rate limited".  E.g.
Insert a delay before sending?   Not send at all if already sent too
Recently?

-Dave

> -----Original Message-----
> From: Dave Thaler
> Sent: Monday, October 27, 2014 9:42 PM
> To: [email-masked]'
> Subject: WGLC: draft-ietf-pcp-authentication-06 comments due by NOV 10
> 
> This email initiates a Working Group Last Call on draft-ietf-pcp-
> authentication-06 to conclude on Monday, November 10th at the PCP WG
> meeting in Honolulu.  Please send comments to the list.
> 
> As a reminder, when responding to a WGLC, what we chairs are looking for is
> a statement about document quality (not really about whether the
> mechanism should move forward).  That is, state whether you think the
> document is ready as is, or if not, what issues you see.
> 
> Thanks,
> -Dave

---

From: Margaret Wasserman <[email-masked]>
Date: Wed, 5 Nov 2014 15:05:48 -0500

Thanks, Dave.  We will address these issues int he next version of the document.

Margaret

---

From: "Zhangdacheng (Dacheng)" <[email-masked]>
Date: Thu, 6 Nov 2014 02:02:44 +0000

Hi, Dave:

Thanks a lot for the comments. Will discuss with Tiru to handle the problems. 

> From: Dave Thaler [mailto:[email-masked]]
> Sent: Thursday, November 06, 2014 4:03 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: RE: WGLC: draft-ietf-pcp-authentication-06 comments due by NOV 10
> 
> 4) The text in section 3.3 about how to handle sequence number reaching the
> max value is underspecified. E.g., when do you trigger re-auth?
> 
> 6) Sections 6.3 and 6.4 are contradictory as to whether the entire packet must
> match or only the sequence number.
> 
> > As a reminder, when responding to a WGLC, what we chairs are looking
> > for is a statement about document quality (not really about whether
> > the mechanism should move forward).  That is, state whether you think
> > the document is ready as is, or if not, what issues you see.
> >
> > Thanks,
> > -Dave